Bug 1653584 - [Life Cycle Environment] - Duplicate repos are getting displayed in Library->yum repositories
Summary: [Life Cycle Environment] - Duplicate repos are getting displayed in Library->...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Lifecycle Environments
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 07:46 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:18 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:09 UTC


Attachments (Terms of Use)
Duplicate Repos (114.20 KB, image/png)
2018-11-27 07:46 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:16 UTC
Foreman Issue Tracker 25938 None None None 2019-01-30 03:25:26 UTC

Description Omkar Khatavkar 2018-11-27 07:46:50 UTC
Created attachment 1508766 [details]
Duplicate Repos

Description of problem:
Duplicate repos are getting displayed in Library->yum repositories 

Version-Release number of selected component (if applicable):
6.5.0

How reproducible:
Always

Steps to Reproduce:
1. Sync the RedHat and custom repos
2. create multiple lifecycle environments and assign them content views   
3. Now navigate to any lifecycle Library->Yum Repositories.


Actual results:
'All Content Views' shows duplicate redhat repos. (attached screenshot)

Expected results:
all filter should work as expected and should not show duplicate repos.

Additional info:
screenshot attached

Comment 2 Partha Aji 2019-01-30 03:25:26 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25938 from this bug

Comment 3 Bryan Kearney 2019-01-30 23:08:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25938 has been resolved.

Comment 5 Omkar Khatavkar 2019-03-11 09:39:49 UTC
Verified in Satellite 6.5 Snap 19, an additional column 'Content View's added ultimately solves this issue. Now there is no duplicates repository as the list only seen based on the content views. 

The issue is no more reproducible.

Comment 7 errata-xmlrpc 2019-05-14 12:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.